gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Accessing and manipulates the selected rows of a .
- Event
  2.12.0.0
  System.EventHandler The currently selected row(s) changed.
- Property
  2.12.0.0
  Gtk.SelectionMode Selection mode currently is use. a
- Method
  2.12.0.0
  System.Boolean `` a Tests if a specified node is currently selected. a
- Property
  2.12.0.0
  Gtk.NodeView The view associated with this selection object. a
- Method
  2.12.0.0
  System.Boolean `` a Tests if a specified path is currently selected. a
- Method
  2.12.0.0
  System.Void Selects all the nodes in the view.
- Property
  2.12.0.0
  Gtk.ITreeNode The selected node The currently selected node This property does not make sense in the Multiple selection mode. Therefore it will throw an exception when used under this mode. The Multiple selection mode is in use.
- Property
  2.12.0.0
  Gtk.ITreeNode[] The currently selected nodes. a
- Method
  2.12.0.0
  System.Void `` a Selects a specified node in the view.
- Method
  2.12.0.0
  System.Void `` a Selects a node by path.
- Method
  2.12.0.0
  System.Void `` `` a a Selects all the nodes in a specified range.
- Method
  2.12.0.0
  System.Void Unselects all the nodes in the view.
- Method
  2.12.0.0
  System.Void `` a Unselects a specified node.
- Method
  2.12.0.0
  System.Void `` a Unselects a specified node by path.
- Method
  2.12.0.0
  System.Void `` `` a a Unselects all the nodes in a specified range.
- Method
  2.12.0.0
  System.Void `` `` a a Unselects all the nodes in a specified range.